# CreateLinkedTransaction

Use this function to create a linked transaction record.

## Properties

#### Authentication

Authentication values used to connect to the Xero server.

#### Linked transaction

LinkedTransaction to create.

Mandatory fields:

* **SourceTransactionID**: The identifier of the source transaction (the purchase component of a billable expense). Either an invoice with a type of ACCPAY or a banktransaction of type SPEND.
* **SourceLineItemID**: The line item identifier from the source transaction.

## Output

#### LinkedTransaction

#### The linked transaction created.

## Links

[Xero Developer: Linked Transactions (PUT)](https://developer.xero.com/documentation/api/linked-transactions#PUT)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/xero/content/linkedtransactions/createlinkedtransaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
